<%@ page pageEncoding="UTF-8" language="java" contentType="text/html; utf-8" %>

<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>

<html:html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title><bean:message key="AddressBook.title"/></title>
        <html:base/>
    </head>
    <body>

    <logic:notPresent name="org.apache.struts.action.MESSAGE" scope="application">
        <font color="red">Struts поставлен как-то неправильно. Не работает в смысле.</font>
    </logic:notPresent>

    <h3><bean:message key="AddressBook.header"/></h3>

    <table border="1">
        <tr>
            <td><bean:message key="AddressBook.list.name"/></td>
            <td><bean:message key="AddressBook.list.phone"/></td>
            <td><bean:message key="AddressBook.list.comment"/></td>
            <td><bean:message key="AddressBook.list.age"/></td>
        </tr>
    <logic:iterate id="contact" type="ru.linuxformat.Contact" name="contacts" scope="request">
        <tr>
            <td><%=contact.getName()%></td>
            <td><%=contact.getPhone()%></td>
            <td><%=contact.getComment()%></td>
            <td><%=contact.getAge()%></td>
        </tr>
    </logic:iterate>
    </table>

    </body>
</html:html>
